Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.kernels.np.Matern_5_2Kernel

class `mvpa2.kernels.np.``Matern_5_2Kernel`(**kwargs)

  The Matern kernel class for the case ni=5/2.

  This kernel is just Matern_3_2Kernel(numerator=5.0).

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array.
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel Assumptions: - ds1, ds2 are either datasets or arrays, - presumably 2D (not checked neither enforced here - _compute takes ndarrays.
  `computed`(*args, **kwargs) | Compute kernel and return self
  `gradient`(data1, data2) | Compute gradient of the kernel matrix.
  `reset`() |
  `set_hyperparameters`(hyperparameter) | Set hyperaparmeters from a vector.

  Initialize a Squared Exponential kernel instance.

  Parameters:

  length_scale : float or numpy.ndarray

  > the characteristic length-scale (or length-scales) of the phenomenon under investigation. (Defaults to 1.0)

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  sigma_f : float, optional

  > Signal standard deviation. (Defaults to 1.0)

  numerator : float, optional

  > the numerator of parameter ni of Matern covariance functions. Currently only numerator=3.0 and numerator=5.0 are implemented. (Defaults to 3.0)

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array.
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel Assumptions: - ds1, ds2 are either datasets or arrays, - presumably 2D (not checked neither enforced here - _compute takes ndarrays.
  `computed`(*args, **kwargs) | Compute kernel and return self
  `gradient`(data1, data2) | Compute gradient of the kernel matrix.
  `reset`() |
  `set_hyperparameters`(hyperparameter) | Set hyperaparmeters from a vector.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »